import javax.swing.event.*;
import javax.swing.*;

public class TabChangeListener implements ChangeListener {
    private JFrame sourceFrame;

    public TabChangeListener(JFrame jf)
    {
        sourceFrame = jf;
    }
    public void stateChanged(ChangeEvent e)
    {
        JTabbedPane pane = (JTabbedPane)e.getSource();
        if( pane.getSelectedIndex() >= 2 ) // Settings Pane
        {
            sourceFrame.setSize(400, 200);
        }
        else
        {
            sourceFrame.setSize(400, 130);
        }
    }
}
